Get Slack Integration
Endpoint used to get a Slack integration.
Request Example
Section titled “Request Example”curl --request GET \ --url https://converflow.api.prod.toolzz.media/api/v1/slack/integration/{integrationId} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "id": "uuid", "botId": "uuid", "botToken": "string", "signingSecret": "string", "teamId": "string", "title": "string", "unitId": "uuid", "isActive": true, "isTokenMasked": true, "channelIds": [ "string" ], "channelsDetail": [], "defaultChannelId": null, "scope": "string", "replyOnMention": true, "replyInDms": true, "threadAutoReply": true, "welcomeMessage": "", "createdAt": "YYYY-MM-DD HH:mm:ss", "updatedAt": "YYYY-MM-DD HH:mm:ss", "deletedAt": null}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
integrationId | String | Slack integration ID | Yes |
Response description
Section titled “Response description”| Key | Type | Description | Required |
|---|---|---|---|
id | UUID | Unique identifier of the integration in the database. | Yes |
botId | UUID | Toolzz AI Agent ID: The AI brain that will process the messages. | Yes |
botToken | String | Bot OAuth access token for authentication on the Slack API. | Yes |
signingSecret | String | Secret key to validate the authenticity of Slack requests. | Yes |
teamId | String | Unique Slack Workspace (Team) identifier. | Yes |
title | String | Friendly name of the integration (e.g., “Slack Integration”). | Yes |
unitId | UUID | Unique identifier of the owning organizational unit. | Yes |
isActive | Boolean | Defines if the integration is active and processing events. | Yes |
isTokenMasked | Boolean | Indicates if sensitive tokens are hidden by asterisks. | Yes |
channelIds | Array[Str] | List of IDs of the channels where the bot has read/write permission. | Yes |
channelsDetail | Array | Metadata and additional details about the configured channels. | No |
defaultChannelId | Null/Str | Default channel for the bot to send proactive messages. | No |
scope | String | Bot’s access level (e.g., all for all allowed channels). | Yes |
replyOnMention | Boolean | If true, the bot only responds when mentioned with @. | Yes |
replyInDms | Boolean | If true, allows the bot to respond in direct messages (private). | Yes |
threadAutoReply | Boolean | If true, the bot maintains and responds within threads. | Yes |
welcomeMessage | String | Message automatically sent on the user’s first interaction. | No |
createdAt | String | Configuration creation timestamp (ISO 8601). | Yes |
updatedAt | String | Timestamp of the last parameter modification. | Yes |
deletedAt | Null/Str | Logical deletion date (soft delete). | No |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
